# encoding: utf-8
module Nokaya
  class Status
    def self.downloading img_link
      "\nDownloading #{img_link}, please wait...\n\n"
    end
    def self.saved object
      object.urls.size > 1 ? im = 'Images' : im = 'Image'
      "#{im} saved in #{object.path}\n\n"
    end
    def self.saved_album object
      "Album saved in #{object.path}\n\n"
    end
    def self.no_can_do
      "Canceled: unable to get the page contents.\n\n"
    end
    def self.no_data
      "Canceled: unable to get content.\n\n"
    end
    def self.no_cnx
      "Canceled: connexion error.\n\n"
    end
    def self.no_url
      "\nYou have to specify a page URL.\n\n"
    end
    def self.error
      "\nAn unknown error happened.\n\n"
    end
    def self.canceled
      "\nCanceled.\n\n"
    end
    def self.saving file
      "Saving #{file}\n"
    end
    def self.done
      "\nDone.\n\n"
    end
    def self.downloading_album
      "Downloading album, please wait...\n\n"
    end
    def self.toresolve number
      "\n#{number} links to resolve.\n\n"
    end
    def self.resolving p
      "Resolving #{p}...\n"
    end
    def self.searching
      "\nSearching infos, please wait...\n\n"
    end
    def self.wait
      "\nScraping the page. Downloads will start automatically. Please wait...\n\n"
    end
    def self.wait_api
      "\nGetting infos from the API. Downloads will start automatically. Please wait...\n\n"
    end
    def self.album_done
      "\nAlbum downloaded.\n\n"
    end
    def self.no_access
      "Error: can't write the file.\n\n"
    end
  end
end
