# encoding: utf-8
module Nokaya

  class Logs

    class << self
      attr_accessor :rec
    end

    def self.create_logger
      home = "#{Dir.home}/.nokaya"
      Dir.mkdir(home) unless Dir.exist?(home)
      @rec = Logger.new(home + "/log", 'monthly')
      @rec.formatter = proc do |severity, datetime, progname, msg|
        "#{datetime} (#{VERSION}) #{severity} * #{msg}\n"
      end
    end

  end
end
