# encoding: utf-8
module Nokaya
  class Tumblr < Basic

    def initialize args, options = {}
      super(args, options)
      @type = :tumblr
      parsed = parse(args[0])
      @urls = [get_basic(parsed)] unless parsed.nil?
      @filenames = [name_files()]
    end

    private

    def name_files
      @name ||= base()
      "#{@type.to_s}-#{@name}"
    end

    def base
      File.basename(@urls[0]).gsub('tumblr_', '') unless @urls.empty?
    end

  end
end
